# Generated by Django 5.1.4 on 2025-01-16 01:16

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Partner',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='파트너사명')),
                ('brn', models.CharField(max_length=10, unique=True, verbose_name='사업자등록번호')),
                ('api_key', models.CharField(max_length=36, verbose_name='인증키')),
                ('userid', models.CharField(max_length=256, verbose_name='파트너사 사용자 아이디')),
                ('dev', models.BooleanField(default=False, verbose_name='테스트모드')),
            ],
            options={
                'verbose_name': '파트너',
                'verbose_name_plural': '파트너',
            },
        ),
        migrations.CreateModel(
            name='BankAccount',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('collect_cycle', models.CharField(choices=[('MINUTE10', '10분'), ('MINUTE30', '30분'), ('HOUR1', '1시간'), ('HOUR4', '4시간'), ('DAY1', '1일')], max_length=10, verbose_name='수집주기')),
                ('bank', models.CharField(choices=[('KB', '국민은행'), ('SHINHAN', '신한은행'), ('NH', '농협은행'), ('HANA', '하나은행'), ('SC', '제일은행'), ('WOORI', '우리은행'), ('IBK', '기업은행'), ('KDB', '산업은행'), ('KFCC', '새마을금고'), ('CITI', '씨티은행'), ('SUHYUP', '수협은행'), ('CU', '신협은행'), ('EPOST', '우체국'), ('KJBANK', '광주은행'), ('JBBANK', '전북은행'), ('DGB', '대구은행'), ('BUSANBANK', '부산은행'), ('KNBANK', '경남은행'), ('EJEJUBANK', '제주은행'), ('KBANK', '케이뱅크')], max_length=10, verbose_name='은행')),
                ('account_type', models.CharField(choices=[('C', '법인계좌'), ('P', '개인계좌')], max_length=1, verbose_name='계좌유형')),
                ('account_no', models.CharField(max_length=50, verbose_name='계좌번호')),
                ('alias', models.CharField(default=None, max_length=50, null=True, verbose_name='별칭')),
                ('usage', models.CharField(default=None, max_length=50, null=True, verbose_name='용도')),
                ('is_stop', models.BooleanField(default=False, verbose_name='해지')),
                ('stop_date', models.DateField(default=None, null=True, verbose_name='해지일')),
                ('partner', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='django_barobill.partner', verbose_name='파트너')),
            ],
            options={
                'verbose_name': '계좌',
                'verbose_name_plural': '계좌',
            },
        ),
        migrations.CreateModel(
            name='BankAccountTransaction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('trans_direction', models.CharField(choices=[('D', '입금'), ('W', '출금'), ('E', '기타')], max_length=1)),
                ('deposit', models.BigIntegerField(default=None, null=True)),
                ('withdraw', models.BigIntegerField(default=None, null=True)),
                ('balance', models.BigIntegerField(default=0)),
                ('trans_dt', models.DateTimeField()),
                ('trans_type', models.CharField(default=None, max_length=50, null=True, verbose_name='입출금구분')),
                ('trans_office', models.CharField(default=None, max_length=50, null=True, verbose_name='입출금취급점')),
                ('trans_remark', models.CharField(default=None, max_length=50, null=True, verbose_name='입출금비고')),
                ('mgt_remark_1', models.CharField(default=None, max_length=50, null=True, verbose_name='비고1')),
                ('trans_ref_key', models.CharField(max_length=24, verbose_name='입출금내역 키')),
                ('memo', models.CharField(default=None, max_length=100, null=True, verbose_name='입출금내역 키')),
                ('meta', models.JSONField(default=None, null=True, verbose_name='추가 정보')),
                ('bank_account', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='django_barobill.bankaccount')),
            ],
            options={
                'verbose_name': '입출금 기록',
                'verbose_name_plural': '입출금 기록',
                'ordering': ['-trans_dt', 'bank_account'],
                'unique_together': {('bank_account', 'trans_ref_key')},
            },
        ),
        migrations.AddConstraint(
            model_name='bankaccount',
            constraint=models.UniqueConstraint(fields=('partner', 'bank', 'account_no'), name='unique_partner_bank_account'),
        ),
    ]
